import 'dart:async';

import 'package:bloc/bloc.dart';
import 'package:equatable/equatable.dart';

part 'switch_tabs_event.dart';
part 'switch_tabs_state.dart';

class SwitchTabsBloc extends Bloc<SwitchTabsEvent, SwitchTabsState> {
  SwitchTabsBloc() : super(SwitchTabsInitial()) {
    on<TriggerSwitchTabsEvent>(_switchTab);
    on<CreateNewRoutineViewEvent>(_newRoutineView);
  }

  FutureOr<void> _switchTab(
    TriggerSwitchTabsEvent event,
    Emitter<SwitchTabsState> emit,
  ) {
    emit(SelectedTabState(event.isRoutineView));
  }

  FutureOr<void> _newRoutineView(
    CreateNewRoutineViewEvent event,
    Emitter<SwitchTabsState> emit,
  ) {
    emit(ShowCreateRoutineState(event.showCreateNewRoutineView));
  }
}
